SET SERVEROUTPUT ON
DECLARE
    full_price      books.price%type;
    book_title  VARCHAR2(100);
    discount_price books.price%type;
	
BEGIN
    book_title := 'Oracle 24x7 Tips and Techniques';

    SELECT price  INTO full_price
    FROM books
    WHERE title like book_title ;

    IF full_price < 25  THEN
                discount_price := full_price;
    ELSIF full_price >= 25 and full_price <40   THEN
               discount_price :=  full_price - (full_price*0.25);
    ELSIF full_price >= 40 and full_price <=50 THEN
       discount_price :=  full_price - (full_price*0.4);
   ELSE
	discount_price :=  full_price - (full_price*0.5); 
    END IF;

DBMS_OUTPUT.PUT_LINE (book_title || 'Full Price: '||full_price||' Disounted Pice: '|| ROUND(discount_price,2));
EXCEPTION
         WHEN others THEN
	      DBMS_OUTPUT.PUT_LINE (SQLERRM);
END;
/
SHOW errors
