drop table teacher_info;
drop table student_info;
drop table staff_info;
drop table class_info;

create table staff_info
(
	staff_id number(5),
	name varchar(20),
	teaching_sec varchar(5),
	email varchar(20),
	contact_no number(20),
	primary key(staff_id)
);


create table teacher_info
(
	teacher_id number(5),
	teacher_name varchar(20),
	salary number(10),
	t_class varchar(5),
	email varchar(20),
	contact_no number(15),
	foreign key(teacher_id) references staff_info(staff_id) on delete cascade
);


create table class_info
(
	class varchar(5),
	section varchar(5) unique,
	subject varchar(10),
	lab varchar(10) unique,
	primary key(class)
);

create table student_info
(
	s_id number(5),
	roll_no number(10),
	sectn varchar(5),
	s_class varchar(5),
	email varchar(20),
	contact_no number(15),
	primary key(s_id),
	foreign key(s_class) references class_info(class) on delete cascade
);

