DROP TABLE student;
DROP TABLE teacher;
DROP TABLE employee;
drop TABLE Rresult;
CREATE TABLE Rresult
(
	r_id VARCHAR(10) not null,
	f_term NUMBER(3) not NULL,
	s_term NUMBER(3) not NULL,
	t_term NUMBER(3) not NULL,
	attendence VARCHAR(10),
	other_activities VARCHAR(10),
	total INTEGER,
	PRIMARY KEY (r_id)
);

CREATE TABLE employee
(
	employee_id VARCHAR(10) not NULL,
	name VARCHAR(10) NOT NULL,
	contact number(10) not NULL,
	e_time VARCHAR(5),
	l_time VARCHAR(5),
	PRIMARY KEY (employee_id)
);

CREATE TABLE teacher
(
	a_teacher_id VARCHAR(10) not NULL,
	name VARCHAR(10) NOT NULL,
	e_time VARCHAR(5),
	l_time VARCHAR(5),
	contact number(10) not NULL,
	e_id VARCHAR(10) not NULL,
	PRIMARY KEY (a_teacher_id),
	FOREIGN KEY (e_id) REFERENCES employee (employee_id) on delete cascade
);

CREATE TABLE student
(
	id VARCHAR(10) not null,
	name VARCHAR(10) not null,
	contact number(10) not NULL,
	a_t_id VARCHAR(10) not NULL,
	result_id VARCHAR(10) not null,
	primary key (id),
	FOREIGN KEY (a_t_id) REFERENCES teacher (a_teacher_id) on delete cascade,
	FOREIGN KEY (result_id) REFERENCES Rresult (r_id) on delete cascade
);

INSERT into Rresult VALUES ('r001',80,70,60,5,5,500);
INSERT into Rresult VALUES ('r002',80,70,60,5,5,500);
INSERT into Rresult VALUES ('r003',80,70,60,5,5,500);
INSERT into Rresult VALUES ('r004',80,70,60,5,5,500);
INSERT into Rresult VALUES ('r005',80,70,60,5,5,500);
INSERT into Rresult VALUES ('r006',80,70,60,5,5,500);
select *from Rresult;

INSERT INTO employee VALUES ('e9001','Rahim',66666,'10:00','5:00');
INSERT INTO employee VALUES ('e9002','Karim',66666,'10:00','5:00');
INSERT INTO employee VALUES ('e9003','Aaaa',66666,'10:00','5:00');
INSERT INTO employee VALUES ('e9004','Kuddus',66666,'10:00','5:00');
INSERT INTO employee VALUES ('e9005','llll',66666,'10:00','5:00');
INSERT INTO employee VALUES ('e9006','polo',66666,'10:00','5:00');
select *from employee;

INSERT into teacher VALUES ('t5001','Amir','11:00','2:00',555,'e9001');
INSERT into teacher VALUES ('t5002','Hossain','11:00','4:00',666,'e9001');
INSERT into teacher VALUES ('t5003','Ali','11:00','8:00',555,'e9002');
select *from teacher;

INSERT into student VALUES ('s6001','Asad',9245,'t5001','r002');
INSERT into student VALUES ('s6002','Jack',9245,'t5001','r003');
INSERT into student VALUES ('s6003','Messi',9245,'t5001','r004');
INSERT into student VALUES ('s6004','Neymar',9245,'t5002','r005');
INSERT into student VALUES ('s6005','Podolski',9245,'t5003','r006');
select *from student;

