drop table treatment;
drop table store;
drop table total;

create table store(
			store_date varchar(15),
			medi_name varchar(15) unique,
			price number(5) not null,
			total_price number(5) not null ,
			primary key(medi_name)
					);
			

create table treatment(
				ddate varchar(15),
				st_name varchar(15),
				roll number(7) not null,
				medicine_given varchar(15),
				total_given number(5) not null,
				primary key(roll),
				foreign key(medicine_given) references store(medi_name)
				);

create table total(
					mmonth varchar(15) not null,
					total_price_stored number(5) not null,
					total_price_given number(5) not null,
					foreign key(total_price_stored) references store(total_price)
					);
					


insert into store values('1-7-2014','saline',3,500);
insert into store values('1-8-2014','para',2,600);
insert into store values('1-9-2014','deslor',1,550);
insert into store values('1-10-2014','alcet',4,700);


insert into treatment values('5-7-2014','mezbah',1107058,'para',4);
insert into treatment values('6-7-2014','razib',1107022,'saline',5);
insert into treatment values('11-7-2014','peal',1107005,'deslor',8);
insert into treatment values('10-7-2014','dip',1107006,'alcet',10);

insert into total values('july',500,450);
insert into total values('august',500,550);
insert into total values('sept',700,500);
insert into total values('oct',700,600);


select * from total;
select * from store;
select * from treatment;


					
				
				